// Module de gestion de notes 

import {vue} from './vue.js';

const model = {
    data : [],
    maj : function() {
        vue( this );
    }
};

export const notes = {
    ajouterItem : 
        function() {
            const note = prompt( "Votre note ?" );
            if ( note ) {
                model.data.push( note );
                model.maj();
            }
        },
    supprimerItem : 
        function(index) {
            model.data.splice( index, 1 );
            model.maj();
        }
};

document.addEventListener( "DOMContentLoaded", () => {
    model.maj();
} );
